// ETOOLS.H
//
// (c) 2000-2001 Alfred E. Heggestad
//
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License version 2 as
//    published by the Free Software Foundation.
//

#if !defined(__ETOOLS_H__)
#define __ETOOLS_H__

#include <e32std.h>
#include <e32svr.h>

//
// put this in your constructor/desctructor to see the memory usage
//

//
// Use this macro in the beginning of functions to check that some ptrs are != NULL
//

#ifndef __PANIC
#ifdef _UNICODE
#define __PANIC(p) { char tmp[] = __FILE__; \
        TInt i;\
		for(i=sizeof(tmp)-1;i>=0;i--) \
			if( (tmp[i] == 0x5c /* '\' */) || (tmp[i] == '/') ) \
				break; \
		TBuf8<32> txt8((const TUint8*)&tmp[++i]); \
		TBuf16<32> txt16; \
  		txt16.Copy(txt8); \
  		User::Panic( txt16 , __LINE__ ); }
#else
#define __PANIC(p)	{ \
					RDebug::Print(_L("WARNING!!! pointer to '%s' was NULL"), #p ); \
					RDebug::Print(_L("WARNING!!! file %s line %d"), __FILE__, __LINE__ ); \
					User::Panic( _L(__FILE__) , __LINE__ ); \
					}

#endif	// _UNICODE

#endif	// __PANIC





//
//	Check var against mask, return bool type
//
#define BOOL_BIT(var,msk) ( (var & msk)==(msk) )
//#define BOOL_BIT(var,msk)	(var & msk)
#pragma warning( disable : 4800 )  // Disable warning messages


//
// Profiling - log ticks
//
#if _DEBUG
#define DUMP_TICK(a) RDebug::Print(_L("tick %d: %d"), a, User::TickCount() );
#else
#define DUMP_TICK(a)
#endif





#endif // ETOOLS_H
