/*
 *  JoyPad.cpp - Pen base Joystick driver 
 *
 *  (c) 1999-2000 Alfred E. Heggestad & Jal Panvel
 */

#include "joypad.h"

CJoyPadObserver::CJoyPadObserver()
//
// Constructor
//
{

	iJoyPadState = EJoyPadDefault;
}

TInt CJoyPadObserver::GetJoyPadState()
//
// Get the joypad state
//
{

	return iJoyPadState;
}

void CJoyPadObserver::SetJoyPadButtonState(TJoyPadButtonState aJoyPadButtonState)
//
// Set the joypad button state
//
{

	if (aJoyPadButtonState == EJoyPadButtonDown)
		iJoyPadState &= aJoyPadButtonState;
	else 
		iJoyPadState |= aJoyPadButtonState;
}

void CJoyPadObserver::SetJoyPadState(TJoyPadState aJoyPadState)
//
// Set the joypad state
//
{

	if (iJoyPadState & EJoyPadButtonDown)
		iJoyPadState = aJoyPadState & EJoyPadButtonDown;
	else
		iJoyPadState = aJoyPadState;
}

// EOF - JoyPad.cpp
