/*
 *  JoyPad.h - Pen base Joystick driver 
 *
 *  (c) 1999-2001 Alfred E. Heggestad & Jal Panvel
 */


#ifndef JOYPAD_H__
#define JOYPAD_H__

#include <e32base.h>

enum TJoyPadState
	{
	EJoyPadUp     = 0xfe,
	EJoyPadDown   = 0xfd,
	EJoyPadLeft   = 0xfb,
	EJoyPadRight  = 0xf7,

	EJoyPadUpLeft    = EJoyPadUp   & EJoyPadLeft,
	EJoyPadUpRight   = EJoyPadUp   & EJoyPadRight,
	EJoyPadDownLeft  = EJoyPadDown & EJoyPadLeft,
	EJoyPadDownRight = EJoyPadDown & EJoyPadRight,
	
	EJoyPadDefault = 0xff
	};

enum TJoyPadButtonState
	{
	EJoyPadButtonDown = 0xef,
	EJoyPadButtonUp   = 0x10
	};

class CJoyPadObserver : public CBase
	{
public:
	CJoyPadObserver();
	TInt GetJoyPadState();
	void SetJoyPadState(TJoyPadState aJoyPadState);
	void SetJoyPadButtonState(TJoyPadButtonState aJoyPadButtonState);
private:
	TInt iJoyPadState;
	};

#endif // __JOYPAD_H__

