/**
 * @file e32frodo.rsh - Common resources for ER5 and ER6
 * rsh means resource header file.
 *
 * (c) 1999-2002 Alfred E. Heggestad
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License version 2 as
 *    published by the Free Software Foundation.
 *
 */


//
// sanity check
//
#ifndef VERSION
#error hmm no VERSION defined?
#endif

#ifndef HOMEPAGE
#error hmm no HOMEPAGE defined?
#endif


/**
 * Hotkeys
 */
RESOURCE HOTKEYS r_e32frodo_hotkeys
	{
	shift_control =
		{
		//
		// keymappings inspired by VI
		//
		HOTKEY { command=ECmdScreenMoveUp;         key='k'; },
		HOTKEY { command=ECmdScreenMoveDown;       key='j'; },
		HOTKEY { command=ECmdScreenMoveLeft;       key='h'; },
		HOTKEY { command=ECmdScreenMoveRight;      key='l'; },
		HOTKEY { command=ECmdScreenMoveCenter;     key='c'; },
		HOTKEY { command=ECmdFullScreen;		   key='t'; },
		//
		HOTKEY { command=ECmdPrefs;                key='p'; }
		};
	}

/**
 * Menu
 */
RESOURCE MENU_BAR r_e32frodo_menubar
	{
	titles=
		{
		MENU_TITLE { menu_pane=r_e32frodo_file_menu;  txt="File";  },
		MENU_TITLE { menu_pane=r_e32frodo_view_menu;  txt="View";  },
		MENU_TITLE { menu_pane=r_e32frodo_tools_menu; txt="Tools"; },
		MENU_TITLE { menu_pane=r_e32frodo_help_menu;  txt="Help";  }
		};
    }

RESOURCE MENU_PANE r_e32frodo_file_menu
	{
	items=
		{
		MENU_ITEM { cascade=r_e32frodo_snapshot_menu; txt="Snapshot"; }, // cascaded menu -->
		MENU_ITEM { command=EEikCmdExit; txt="Close"; }
		};
    }

RESOURCE MENU_PANE r_e32frodo_view_menu
	{
	items=
		{
		MENU_ITEM {command=ECmdFullScreen;       flags=EEikMenuItemCheckBox|EEikMenuItemSeparatorAfter; txt="Full screen";},
		MENU_ITEM {command=ECmdScreenMoveUp;     flags=EEikMenuItemCheckBox; txt="Move up"   ;},
		MENU_ITEM {command=ECmdScreenMoveDown;   flags=EEikMenuItemCheckBox; txt="Move down" ;},
		MENU_ITEM {command=ECmdScreenMoveLeft;   flags=EEikMenuItemCheckBox; txt="Move left" ;},
		MENU_ITEM {command=ECmdScreenMoveRight;  flags=EEikMenuItemCheckBox; txt="Move right";},
		MENU_ITEM {command=ECmdScreenMoveCenter; flags=EEikMenuItemCheckBox; txt="Center";}
		};
    }

RESOURCE MENU_PANE r_e32frodo_tools_menu
	{
	items=
		{
		MENU_ITEM { command=ECmdPrefs; txt="Prefs"; },
		MENU_ITEM { command=ECmdPause; txt="Pause"; },
		MENU_ITEM { command=ECmdReset; txt="Reset"; },
		MENU_ITEM { command=ECmdLimit; txt="Limit"; }
		};
    }


RESOURCE MENU_PANE r_e32frodo_snapshot_menu
    {
    items=
        {
        MENU_ITEM
            {
            command=ECmdSnapShotSave;
            txt="Save";
            },
        MENU_ITEM
            {
            command=ECmdSnapShotLoad;
            txt="Load";
            }
        };
    }


RESOURCE MENU_PANE r_e32frodo_help_menu
	{
	items=
	{
		MENU_ITEM { command=EEikCmdHelpContents; txt="Contents"; },
		MENU_ITEM { command=EEikCmdHelpAbout;    txt="About"; }
	};
    }

/// choices for SID type
RESOURCE ARRAY r_tdlg_sidtype
	{
	items=
		{
		LBUF { txt="None"; },
		LBUF { txt="Digital"; },
		LBUF { txt="SIDcard"; }, // <--- only on Amiga :)
		LBUF { txt=""; }
		};
	}

/// choices for REU size
RESOURCE ARRAY r_tdlg_reusize
	{
	items=
		{
		LBUF { txt="None"; },
		LBUF { txt="128K"; },
		LBUF { txt="256K"; },
		LBUF { txt="512K"; },
		LBUF { txt=""; }
		};
	}
