/*
 *  main_epoc32.i - Main program, EPOC32 specific stuff
 *
 *  Frodo (C) 1994-1997 Christian Bauer
 *
 *  -> ported to Epoc32 by Alfred E. Heggestad & Jal Panvel (c) 1999-2000
 */

#include <math.h>

#define BOOL bool

//char Frodo::prefs_path[256]; //AEH 991130

/*
 *  Constructor: Initialize member variables
 */

Frodo::Frodo(CE32FrodoDocument* aDocPtr)
: CIdle(EPriority)
, iDocPtr(aDocPtr)
{
	__CHECK_NULL(aDocPtr);

	TheC64 = NULL;

	CTOR(Frodo);
}


Frodo::~Frodo()
{
	delete TheC64;
	DTOR(Frodo);
}


/*
 *  Process command line arguments
 */

void Frodo::ArgvReceived(int /*argc*/, char** /*argv*/)
{
}


/*
 *  Arguments processed, run emulation
 */

int Frodo::ReadyToRun(void)
	{

	// Create and start C64
	TheC64 = new C64(this);
	if (load_rom_files())
		{
		TheC64->Run();
		return 1;
		}
	else
		return 0;	// Error!

	}


TInt RunThreadFunc(TAny* aFrodo)
//
// Run the C64::thread_func
//
{
	Frodo* frodo = (Frodo*)aFrodo;
	C64* c64=frodo->TheC64;
	c64->thread_func();
	return ETrue;
}


void Frodo::StartC64()
//
// Start the C64 emulator
//
{
	if(IsActive())
		return;
	TCallBack callback(RunThreadFunc,this);
	Start(callback);
}


Frodo* Frodo::NewL(CE32FrodoDocument* aDocPtr)
//
// Frodo Factory
//
{
	Frodo* frodo = new(ELeave) Frodo(aDocPtr);
	if(frodo->ReadyToRun())
		{
		CActiveScheduler::Add(frodo);
		return frodo;
		}
	else
		{
		delete frodo;
		return NULL;
		}

}

// EOF - main_epoc32.i
